Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-16661

HPCC Repo Depends on retired/orphaned package

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.6.8
    • Fix Version/s: 6.2.0
    • Component/s: Plugins
    • Labels:
      None
    • Environment:
      Alpha Prod, Dataland, Boca PRod

      Description

      Yum and rpm fail when attempting to install hpcc-platform.

      Yum displays the following error when attempting to install hpcc-platform-5.8.1

      --> Finished Dependency Resolution
      Error: Package: hpccsystems-platform-5.6.8-1.x86_64 (/hpccsystems-platform-internal-with-plugins_5.6.8-1.el6.x86_64)
      Requires: libhiredis.so.0.10()(64bit)
      You could try using --skip-broken to work around the problem

      Looking for this library, I can confirm that it is no longer in our repos, and no longer maintained in the fedora epel repository either.

      https://admin.fedoraproject.org/pkgdb/package/rpms/hiredis/

      Because this package is orphaned and in a retired state, it no longer exists in our repository and yum install fails.

        Attachments

          Activity

            People

            • Assignee:
              Michael-Gardner Michael Gardner
              Reporter:
              Eli Tarrago Eli Tarrago
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: